## gif2png 2.5.4

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/gif2png
pkgincludedir = $(includedir)/gif2png
pkglibdir = $(libdir)/gif2png
pkglibexecdir = $(libexecdir)/gif2png
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = gif2png$(EXEEXT)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	config.guess config.sub depcomp install-sh missing \
	mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(man1dir)"
PROGRAMS = $(bin_PROGRAMS)
am_gif2png_OBJECTS = 437_l1.$(OBJEXT) gif2png.$(OBJEXT) \
	gifread.$(OBJEXT) memory.$(OBJEXT) version.$(OBJEXT)
gif2png_OBJECTS = $(am_gif2png_OBJECTS)
gif2png_LDADD = $(LDADD)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(gif2png_SOURCES)
DIST_SOURCES = $(gif2png_SOURCES)
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/esr/WWW/gif2png/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/esr/WWW/gif2png/missing --run tar
AUTOCONF = ${SHELL} /home/esr/WWW/gif2png/missing --run autoconf
AUTOHEADER = ${SHELL} /home/esr/WWW/gif2png/missing --run autoheader
AUTOMAKE = ${SHELL} /home/esr/WWW/gif2png/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lpng -lm -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/esr/WWW/gif2png/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = gif2png
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 2.5.4
abs_builddir = /home/esr/WWW/gif2png
abs_srcdir = /home/esr/WWW/gif2png
abs_top_builddir = /home/esr/WWW/gif2png
abs_top_srcdir = /home/esr/WWW/gif2png
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/esr/WWW/gif2png/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
bin_SCRIPTS = web2png
gif2png_SOURCES = 437_l1.c gif2png.c gifread.c memory.c version.c gif2png.h
man_MANS = gif2png.1 web2png.1
# automake is buggy, it ought to include bin_SCRIPTS in the distribution
EXTRA_DIST = Makefile Makefile.bcc Makefile.djgpp gif2png.xml web2png.xml gif2png.1 $(man_MANS) $(bin_SCRIPTS) ChangeLog gif2png-logo.png
CLEANFILES = gif2png.1 web2png.1
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' `; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
gif2png$(EXEEXT): $(gif2png_OBJECTS) $(gif2png_DEPENDENCIES) 
	@rm -f gif2png$(EXEEXT)
	$(LINK) $(gif2png_OBJECTS) $(gif2png_LDADD) $(LIBS)
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n' \
	    -e 'h;s|.*|.|' \
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
	      if (++n[d] == $(am__install_max)) { \
		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
	    else { print "f", d "/" $$4, $$1 } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	     test -z "$$files" || { \
	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	     } \
	; done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
	files=`for p in $$list; do echo "$$p"; done | \
	       sed -e 's,.*/,,;$(transform)'`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/437_l1.Po
include ./$(DEPDIR)/gif2png.Po
include ./$(DEPDIR)/gifread.Po
include ./$(DEPDIR)/memory.Po
include ./$(DEPDIR)/version.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \

## gif2png 2.5.8

=== Makefile ===
--- 
+++ 
@@ -148,7 +148,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 2.5.4
+VERSION = 2.5.8
 abs_builddir = /home/esr/WWW/gif2png
 abs_srcdir = /home/esr/WWW/gif2png
 abs_top_builddir = /home/esr/WWW/gif2png
@@ -197,6 +197,10 @@
 # automake is buggy, it ought to include bin_SCRIPTS in the distribution
 EXTRA_DIST = Makefile Makefile.bcc Makefile.djgpp gif2png.xml web2png.xml gif2png.1 $(man_MANS) $(bin_SCRIPTS) ChangeLog gif2png-logo.png
 CLEANFILES = gif2png.1 web2png.1
+PYLINTOPTS = --rcfile=/dev/null --reports=n --include-ids=y \
+	--disable=C0111,C0103,C0301,C0321,W0402,W0141,W0401,W0614,R0912,R0914,R0915
+
+SPLINTOPTS = -warnposix +charint -exitarg -compdestroy -exportlocal
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-am
 
@@ -348,7 +352,3 @@
 #	$(COMPILE) -c $<
 
 .c.obj:
-	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-#	source='$<' object='$@' libtool=no \
-#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \

=== debian/changelog ===
gif2png (2.5.8-1) unstable; urgency=low

  * New upstream release (Closes: 650487)
    + removed parts of patch 10_fix_gif2png_c.dpatch included upstream
  * Updated translated manpages
  * change patch system to quilt, thanks to Jari Aalto <jari.aalto@cante.net>
    + Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
      (Closes: 670763)
    + Update to Standards-Version to 3.9.3.
    + Add required build-arch and build-indep targets to rules file.

 -- Erik Schanze <eriks@debian.org>  Sat, 02 Jun 2012 11:31:11 +0200

gif2png (2.5.4-2) unstable; urgency=low

  * Extend 10_fix_gif2png_c.dpatch:
    + Fix security bug CVE-2010-4694/CVE-2010-4695 (Closes: 610479)
  * debian/control, debian/watch, debian/copyright: Update Homepage
  * debian/control, debian/compat: Increase debhelper level to 8
  * debian/control: Updated to Standard version 3.9.1

 -- Erik Schanze <eriks@debian.org>  Sat, 12 Feb 2011 01:15:14 +0100

gif2png (2.5.4-1) unstable; urgency=low

  * New upstream release
    + debian/docs: remove gif2png.spec
    + debian/*.xml: update manpage translations
    + added 30_remove_option_t

 -- Erik Schanze <eriks@debian.org>  Fri, 11 Feb 2011 23:20:10 +0100

gif2png (2.5.2-2) unstable; urgency=low

  * Adapted 10_fix_gif2png_c.dpatch, closes: #550978

 -- Erik Schanze <eriks@debian.org>  Fri, 01 Jan 2010 21:29:18 +0100

gif2png (2.5.2-1) unstable; urgency=low

  * New upstream release
    + Removed 10_write_text_comment.dpatch and
      20_manpage_fixes.dpatch, included upstream
  * Added 10_fix_gif2png_c.dpatch, closes: #550978
  * Added dpatch 20_remove_unneeded_libs to remove unneeded lib depends
    (was shown by checklib)
  * debian/control:
    + Updated to Standard version 3.8.3
    + Move Homepage into header
    + Increased debhelper version to 5
    + Added Build-Dep for xmlto, removed autotools
  * Added debian/compat and debian/README.source files
  * debian/rules:
    + Fix clean target, adapt and extend DEB_BUILD_OPTIONS
    + Reintroduced German manpage creation with xmlto, removed autotools stuff

 -- Erik Schanze <eriks@debian.org>  Fri, 04 Dec 2009 23:29:18 +0100

gif2png (2.5.1-3) unstable; urgency=low

  * Fixed debian/watch file

 -- Erik Schanze <eriks@debian.org>  Sat, 22 Apr 2006 22:26:40 +0200

gif2png (2.5.1-2) unstable; urgency=low

  * Added watch file
  * Changed maintainers email address

 -- Erik Schanze <eriks@debian.org>  Sun,  9 Apr 2006 14:42:40 +0200

gif2png (2.5.1-1) unstable; urgency=low

  * New upstream release
  * Rebuild against libpng-dev, closes: #328336.
  * Switched to dh_installman
  * Introduced dpatch:
    + [10_write_text_comment.dpatch]
      changed writing of comment from internal to public library
      functions of libpng, closes: #331275.
    + [20_manpage_fixes.dpatch] 
      Fixed unmasked hyphens in gif2png.1 and typos in web2png.1
      Added a note to web2png manpages that options beside -d 
       have no effect (assumed authors intention) closes: #285329.
      Migrate changes in web2png manpage from xml file back to man
       file to get rid of xmlto build-depends
  * Updated to policy 3.6.2, no changes needed
  * Cleaned up debian/rules from unneeded dh-* calls
  * Improved short description and debian/copyright

 -- Erik Schanze <schanzi_@gmx.de>  Mon,  3 Oct 2005 18:08:31 +0200

gif2png (2.4.7-4) unstable; urgency=low

  * New Maintainer, closes: #261583.
  * Added autotools support
    + as build depends in debian/control
    + in debian/rules
  * Modified web2png.xml (typo) and let generate new web2png.1
  * Added Build-Depends on xmlto because man page build at package build time
  * Fixes misspelled "Recommends" in debian/control
  * Updated to policy 3.6.1, no changes needed
  * Added German translated manpages for gif2png and web2png
  * Added debian/gif2png.manpages and modify debian/rules for installing it

 -- Erik Schanze <schanzi_@gmx.de>  Sat,  7 Aug 2004 09:08:31 +0200

gif2png (2.4.7-3) unstable; urgency=low

  * Adopting this package.
  * web2png.xml: Used <term><cmdsynopsis><arg>... for options, which broke
    formatting (namely, xmlto didn't include the option name in the generated
    manual page). Changed to use <term><option>... instead. (Closes:#258822)

 -- Lars Wirzenius <liw@iki.fi>  Fri,  6 Aug 2004 22:30:00 +0300

gif2png (2.4.7-2) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Jul 2004 15:03:42 -0500

gif2png (2.4.7-1) unstable; urgency=low

  * New upstream release: 2.4.7.
    This version incorporates Aaron Isotton's -t packages already,
    so they are no longer present in the Debian diff.
    + Manpages now built from SGML, option letters present.  Closes: #178687.
  * Upstream download URL changed again.  Fixed.  Closes: #191154.
  * Clean target catches more files.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 22 Oct 2003 08:34:54 -0500

gif2png (2.4.6-1) unstable; urgency=low

  * New upstream release; closes: #139978, #164618.
  * Fixed web2png "-t" bug; closes: #152749.
  * Updated python dependency; closes: #145467.
  * Improved package description.
  * Updated to policy 3.5.7.
  * Thanks to Aaron Isotton for preparing this release.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 14 Oct 2002 01:06:09 +0200

gif2png (2.4.2-1) unstable; urgency=low

  * rm debian/ex.*
  * ACK NMU.  Closes: #106257, #118127.
  * Updated to policy 3.5.2.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Feb 2002 12:06:53 -0500

gif2png (2.4.2-0.1) unstable; urgency=low

  * NMU. New upstream. Adjust Python dependency (closes: #118127).
  * Make lintian clean (remove emacs settings from changelog, don't
    install INSTALL file).
  * Package gets recompiled on powerpc (closes: #106257).

 -- Matthias Klose <doko@debian.org>  Sat,  3 Nov 2001 15:03:32 +0100

gif2png (2.4.0-2) unstable; urgency=low

  * Made build-depend on libpng2-dev a versioned one
    because the i386 autobuilder keeps breaking.  Closes: #95808.


=== debian/control ===
Source: gif2png
Section: graphics
Priority: optional
Maintainer: Erik Schanze <eriks@debian.org>
Standards-Version: 3.9.3
Build-Depends: libpng-dev, debhelper (>= 8), xmlto
Homepage: http://www.catb.org/~esr/gif2png/

Package: gif2png
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: python (>= 1.5.2)
Description: GIF -> PNG conversions
 This program can convert GIF images to PNG images. It also contains
 the script "web2png" which converts entire websites from GIF to PNG
 and updates the HTML accordingly.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS= -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
else
        LDFLAGS += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(NUMJOBS)
endif


build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

	chmod 755 configure
	./configure --prefix=/usr CFLAGS="$(CFLAGS)"
	# Add here commands to compile the package.
	$(MAKE)
	# Create German manpages at build time, so we need only .xml in .diff.gz
	-xmlto -o debian/ man debian/gif2png.de.xml
	-mv -f debian/gif2png.1 debian/gif2png.de.1
	-xmlto -o debian/ man debian/web2png.de.xml
	-mv -f debian/web2png.1 debian/web2png.de.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Makefile needs .deps dir to work, but it will be not there
	# if there was a distclean before :-(
	[ ! -d .deps ] || [ ! -f Makefile ] || $(MAKE) distclean
	-rm -f build-stamp install-stamp debian/gif2png.de.1 debian/web2png.de.1

	# Add here commands to clean up after the build process.
	-find . -type d -name .deps | xargs -r rm -r

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/gif2png.
	$(MAKE) install prefix=`pwd`/debian/gif2png/usr

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
